/*****************************************************************************
 * Copyright by The HDF Group                                                *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of BioHDF.  The full BioHDF copyright notice, including *
 * terms governing use, modification, and redistribution, is contained in    *
 * the file COPYING.  COPYING can be found at the root of the source code    *
 * distribution tree.  If you do not have access to this file, you may       *
 * request a copy from help@hdfgroup.org.                                    *
 *****************************************************************************/

/** @defgroup bioh5g_api bioh5g_api
 *
 *  Basic BIOH5G data structures
 *
 *  @{
 */

#ifndef _BIOH5G_API_H
#define _BIOH5G_API_H

#include "biohdf_api.h"



/*****************************************************************************
 * BioH5G collection types                                                   *
 *****************************************************************************/



/** BioHDF reads collection type */
#define BIOH5G_READS_TYPE        "BIOH5G_READS"



/** BioHDF alignments collection type */
#define BIOH5G_ALIGNMENTS_TYPE   "BIOH5G_ALIGNMENTS"



/*****************************************************************************
 * BioH5G Common Structs                                                     *
 *****************************************************************************/



/** A defined region on the reference
 *
 * Used in range queries
 */
typedef struct
{
    char reference[BIOHDF_MAX_STRING_SIZE];  /**< The reference string */
    int32_t start;                      /**< The start position on the reference (1-based inclusive) */
    int32_t end;                        /**< The end position on the reference (1-based inclusive) */
} bioh5g_reference_region;



/** @} */
#endif
