/*****************************************************************************
 * Copyright by The HDF Group                                                *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of BioHDF.  The full BioHDF copyright notice, including *
 * terms governing use, modification, and redistribution, is contained in    *
 * the file COPYING.  COPYING can be found at the root of the source code    *
 * distribution tree.  If you do not have access to this file, you may       *
 * request a copy from help@hdfgroup.org.                                    *
 *****************************************************************************/

#include <stdio.h>

#include "config.h"

#include "biohdf_api.h"
#include "biohdf_error.h"



/* Whether error output is sent to STDERR */
int use_stderr_g = 1;



/*****************************************************************************
 * Set/unset verbose STDERR output                                           *
 *****************************************************************************/



BIOHDF_API void
BIOHDFset_stderr_setting(int use_stderr)
{
    use_stderr_g = use_stderr;
    return;
}



BIOHDF_API void
BIOHDFget_stderr_setting(int *use_stderr)
{
    *use_stderr = use_stderr_g;
    return;
}



/*****************************************************************************
 * Emit an error message                                                     *
 *****************************************************************************/



BIOHDF_API void
BIOHDFemit_error_message(const char *filename, const char *function, int line)
{
    fprintf(stderr, "*** ERROR ***   Badness in %s() - (line %d in %s)\n",
        function, line, filename);
}
