/*****************************************************************************
 * Copyright by The HDF Group                                                *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of BioHDF.  The full BioHDF copyright notice, including *
 * terms governing use, modification, and redistribution, is contained in    *
 * the file COPYING.  COPYING can be found at the root of the source code    *
 * distribution tree.  If you do not have access to this file, you may       *
 * request a copy from help@hdfgroup.org.                                    *
 *****************************************************************************/

/** @defgroup biohdf_group biohdf_group
 *
 *  BioHDF group manipulation functions and data structures.
 *
 *  @{
 */

#ifndef _BIOHDF_GROUP_H
#define _BIOHDF_GROUP_H

#include "biohdf_api.h"
#include "biohdf_error.h"
#include "biohdf_file.h"



/** Create a BioHDF group in a file.
 *
 * Creates any non-existing groups in the path.
 *
 * @param f The BioHDF file in which to create the group.
 * @param path The path to the group (including the new group).
 * @returns BIOHDF_NO_ERROR on success, a BioHDF error code on failure.
 */
BIOHDF_API biohdf_error
BIOHDFcreate_group(biohdf_file f,
                   const char *path);



/** @} */
#endif
