/*****************************************************************************
 * Copyright by The HDF Group                                                *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of BioHDF.  The full BioHDF copyright notice, including *
 * terms governing use, modification, and redistribution, is contained in    *
 * the file COPYING.  COPYING can be found at the root of the source code    *
 * distribution tree.  If you do not have access to this file, you may       *
 * request a copy from help@hdfgroup.org.                                    *
 *****************************************************************************/
 
#ifndef _BIOH5G_UTILITY_INTERNAL_H
#define _BIOH5G_UTILITY_INTERNAL_H



/*****************************************************************************
 * Index properties                                                          *
 *****************************************************************************/


#define DEFAULT_INDEX_MAX_MEMORY_TO_USE_MB 512
#define DEFAULT_INDEX_TEMP_FILE_PATH ""


/* BioHDF index creation properties */
struct _biohdf_index_creation_properties
{
    /* The amount of memory the indexing is allowed to use (MB) */
    int64_t max_memory_to_use_mb;

    /* The location where temporary files are created (if needed) */
    char *temp_file_path;

};



/*****************************************************************************
 * Create and read BioHDF type attributes                                    *
 *****************************************************************************/



/* Write a type attribute.  Returns an error if a type attribute
 * already exists.
 */
biohdf_error
_write_biohdf_type_attribute(hid_t obj, const char *type_name);


/* Read a type attribute.  Returns NULL if not attribute is found */
biohdf_error
_read_biohdf_type_attribute(hid_t obj, /*OUT*/ char **type_name);



#endif
